Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.document
Class DateTools.Resolution

    java.lang.Object
      org.apache.lucene.document.DateTools.Resolution

Enclosing class:
  DateTools

    public static class DateTools.Resolution

extends Object

Specifies the time granularity.

Field Summary
`static DateTools.Resolution` | `DAY`
`static DateTools.Resolution` | `HOUR`
`static DateTools.Resolution` | `MILLISECOND`
`static DateTools.Resolution` | `MINUTE`
`static DateTools.Resolution` | `MONTH`
`static DateTools.Resolution` | `SECOND`
`static DateTools.Resolution` | `YEAR`

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### YEAR

    public static final DateTools.Resolution YEAR

### MONTH

    public static final DateTools.Resolution MONTH

### DAY

    public static final DateTools.Resolution DAY

### HOUR

    public static final DateTools.Resolution HOUR

### MINUTE

    public static final DateTools.Resolution MINUTE

### SECOND

    public static final DateTools.Resolution SECOND

### MILLISECOND

    public static final DateTools.Resolution MILLISECOND

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.